GLI 0.6.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Enumerations | Functions
gli Namespace Reference

## Namespaces
| detail

## Classes
class | dx
class | gl
class | image
class | storage
class | texture1D
class | texture1DArray
class | texture2D
class | texture2DArray
class | texture3D
class | textureCube
class | textureCubeArray

## Typedefs
typedef glm::tvec1< size_t > | dim1_t
typedef glm::tvec2< size_t > | dim2_t
typedef glm::tvec3< size_t > | dim3_t
typedef glm::tvec4< size_t > | dim4_t
typedef std::size_t | face_t
typedef std::size_t | layer_t
typedef std::size_t | level_t
typedef glm::tvec4< int > | swizzle_t
typedef glm::vec1 | texcoord1_t
typedef glm::vec2 | texcoord2_t
typedef glm::vec3 | texcoord3_t
typedef glm::vec4 | texcoord4_t

## Enumerations
enum | { FORMAT_INVALID = -1, FORMAT_COUNT = FORMAT_LAST - FORMAT_FIRST + 1, FORMAT_COMPRESSED_COUNT = FORMAT_COMPRESSED_LAST - FORMAT_COMPRESSED_FIRST + 1 }
enum | format { FORMAT_R8_UNORM = 0, FORMAT_FIRST = FORMAT_R8_UNORM, FORMAT_RG8_UNORM, FORMAT_RGB8_UNORM, FORMAT_RGBA8_UNORM, FORMAT_R16_UNORM, FORMAT_RG16_UNORM, FORMAT_RGB16_UNORM, FORMAT_RGBA16_UNORM, FORMAT_R8_SNORM, FORMAT_RG8_SNORM, FORMAT_RGB8_SNORM, FORMAT_RGBA8_SNORM, FORMAT_R16_SNORM, FORMAT_RG16_SNORM, FORMAT_RGB16_SNORM, FORMAT_RGBA16_SNORM, FORMAT_R8_UINT, FORMAT_RG8_UINT, FORMAT_RGB8_UINT, FORMAT_RGBA8_UINT, FORMAT_R16_UINT, FORMAT_RG16_UINT, FORMAT_RGB16_UINT, FORMAT_RGBA16_UINT, FORMAT_R32_UINT, FORMAT_RG32_UINT, FORMAT_RGB32_UINT, FORMAT_RGBA32_UINT, FORMAT_R8_SINT, FORMAT_RG8_SINT, FORMAT_RGB8_SINT, FORMAT_RGBA8_SINT, FORMAT_R16_SINT, FORMAT_RG16_SINT, FORMAT_RGB16_SINT, FORMAT_RGBA16_SINT, FORMAT_R32_SINT, FORMAT_RG32_SINT, FORMAT_RGB32_SINT, FORMAT_RGBA32_SINT, FORMAT_R16_SFLOAT, FORMAT_RG16_SFLOAT, FORMAT_RGB16_SFLOAT, FORMAT_RGBA16_SFLOAT, FORMAT_R32_SFLOAT, FORMAT_RG32_SFLOAT, FORMAT_RGB32_SFLOAT, FORMAT_RGBA32_SFLOAT, FORMAT_R8_SRGB, FORMAT_RG8_SRGB, FORMAT_RGB8_SRGB, FORMAT_RGBA8_SRGB, FORMAT_RGB10A2_UNORM, FORMAT_RGB10A2_UINT, FORMAT_RGB9E5_UFLOAT, FORMAT_RG11B10_UFLOAT, FORMAT_RG3B2_UNORM, FORMAT_R5G6B5_UNORM, FORMAT_RGB5A1_UNORM, FORMAT_RGBA4_UNORM, FORMAT_BGR8_UNORM, FORMAT_BGRA8_UNORM, FORMAT_BGR8_SRGB, FORMAT_BGRA8_SRGB, FORMAT_L8_UNORM, FORMAT_A8_UNORM, FORMAT_LA8_UNORM, FORMAT_L16_UNORM, FORMAT_A16_UNORM, FORMAT_LA16_UNORM, FORMAT_D16_UNORM, FORMAT_D24_UNORM, FORMAT_D24S8_UNORM, FORMAT_D32_UFLOAT, FORMAT_D32_UFLOAT_S8_UNORM, FORMAT_RGB_DXT1_UNORM, FORMAT_COMPRESSED_FIRST = FORMAT_RGB_DXT1_UNORM, FORMAT_RGBA_DXT1_UNORM, FORMAT_RGBA_DXT3_UNORM, FORMAT_RGBA_DXT5_UNORM, FORMAT_R_ATI1N_UNORM, FORMAT_R_ATI1N_SNORM, FORMAT_RG_ATI2N_UNORM, FORMAT_RG_ATI2N_SNORM, FORMAT_RGB_BP_UFLOAT, FORMAT_RGB_BP_SFLOAT, FORMAT_RGB_BP_UNORM, FORMAT_RGB_PVRTC_8X8_UNORM, FORMAT_RGB_PVRTC_16X8_UNORM, FORMAT_RGBA_PVRTC_8X8_UNORM, FORMAT_RGBA_PVRTC_16X8_UNORM, FORMAT_RGBA_PVRTC2_8X8_UNORM, FORMAT_RGBA_PVRTC2_16X8_UNORM, FORMAT_RGB_ATC_UNORM, FORMAT_RGBA_ATC_EXPLICIT_UNORM, FORMAT_RGBA_ATC_INTERPOLATED_UNORM, FORMAT_RGB_ETC_UNORM, FORMAT_RGBA_ETC2_PUNCHTHROUGH_UNORM, FORMAT_RGBA_ETC2_UNORM, FORMAT_R11_EAC_UNORM, FORMAT_R11_EAC_SNORM, FORMAT_RG11_EAC_UNORM, FORMAT_RG11_EAC_SNORM, FORMAT_RGBA_ASTC_4X4_UNORM, FORMAT_RGBA_ASTC_5X4_UNORM, FORMAT_RGBA_ASTC_5X5_UNORM, FORMAT_RGBA_ASTC_6X5_UNORM, FORMAT_RGBA_ASTC_6X6_UNORM, FORMAT_RGBA_ASTC_8X5_UNORM, FORMAT_RGBA_ASTC_8X6_UNORM, FORMAT_RGBA_ASTC_8X8_UNORM, FORMAT_RGBA_ASTC_10X5_UNORM, FORMAT_RGBA_ASTC_10X6_UNORM, FORMAT_RGBA_ASTC_10X8_UNORM, FORMAT_RGBA_ASTC_10X10_UNORM, FORMAT_RGBA_ASTC_12X10_UNORM, FORMAT_RGBA_ASTC_12X12_UNORM, FORMAT_RGB_DXT1_SRGB, FORMAT_RGBA_DXT1_SRGB, FORMAT_RGBA_DXT3_SRGB, FORMAT_RGBA_DXT5_SRGB, FORMAT_RGB_BP_SRGB, FORMAT_RGB_PVRTC_8X8_SRGB, FORMAT_RGB_PVRTC_16X8_SRGB, FORMAT_RGBA_PVRTC_8X8_SRGB, FORMAT_RGBA_PVRTC_16X8_SRGB, FORMAT_RGBA_PVRTC2_8X8_SRGB, FORMAT_RGBA_PVRTC2_16X8_SRGB, FORMAT_RGB_ETC_SRGB, FORMAT_RGBA_ETC2_PUNCHTHROUGH_SRGB, FORMAT_RGBA_ETC2_SRGB, FORMAT_RGBA_ASTC_4X4_SRGB, FORMAT_RGBA_ASTC_5X4_SRGB, FORMAT_RGBA_ASTC_5X5_SRGB, FORMAT_RGBA_ASTC_6X5_SRGB, FORMAT_RGBA_ASTC_6X6_SRGB, FORMAT_RGBA_ASTC_8X5_SRGB, FORMAT_RGBA_ASTC_8X6_SRGB, FORMAT_RGBA_ASTC_8X8_SRGB, FORMAT_RGBA_ASTC_10X5_SRGB, FORMAT_RGBA_ASTC_10X6_SRGB, FORMAT_RGBA_ASTC_10X8_SRGB, FORMAT_RGBA_ASTC_10X10_SRGB, FORMAT_RGBA_ASTC_12X10_SRGB, FORMAT_RGBA_ASTC_12X12_SRGB, FORMAT_COMPRESSED_LAST = FORMAT_RGBA_ASTC_12X12_SRGB, FORMAT_LAST = FORMAT_RGBA_ASTC_12X12_SRGB }

## Functions
std::uint32_t | block_dimensions_x (format const &Format)
std::uint32_t | block_dimensions_y (format const &Format)
std::uint32_t | block_dimensions_z (format const &Format)
std::uint32_t | block_size (format const &Format)
template<typename genType >
void | clear (image &Image, genType const &Texel)
template<typename genType >
void | clear (texture2D &Texture, genType const &Texel)
std::uint32_t | component_count (format const &Format)
image | copy (image const &Image)
template<typename texture >
texture | copy (texture const &Texture)
texture2D | copy (texture2D const &Texture, texture2D::format_type Format)
texture1D | copy (texture1D const &Texture, texture1D::size_type const &BaseLevel, texture1D::size_type const &MaxLevel)
texture2D | copy (texture2D const &Texture, texture2D::size_type const &BaseLevel, texture2D::size_type const &MaxLevel)
texture3D | copy (texture3D const &Texture, texture3D::size_type const &BaseLevel, texture3D::size_type const &MaxLevel)
template<typename texture >
texture | copy (texture const &Texture, typename texture::size_type const &BaseLayer, typename texture::size_type const &MaxLayer, typename texture::size_type const &BaseLevel, typename texture::size_type const &MaxLevel)
textureCube | copy (textureCube const &Texture, textureCube::size_type const &BaseFace, textureCube::size_type const &MaxFace, textureCube::size_type const &BaseLevel, textureCube::size_type const &MaxLevel)
textureCubeArray | copy (textureCubeArray const &Texture, textureCubeArray::size_type const &BaseLayer, textureCubeArray::size_type const &MaxLayer, textureCubeArray::size_type const &BaseFace, textureCubeArray::size_type const &MaxFace, textureCubeArray::size_type const &BaseLevel, textureCubeArray::size_type const &MaxLevel)
template<typename texture >
texture | flip (texture const &Texture)
template<typename texture >
texture | generate_mipmaps (texture &Texture)
bool | is_compressed (format const &Format)
bool | is_valid (format const &Format)
template<template< typename, glm::precision > class dimType>
size_t | levels (dimType< size_t, glm::defaultp > const &Dimensions)
size_t | levels (size_t Dimension)
storage | load_dds (char const *Filename)
storage | load_dds (std::string const &Filename)
storage | load_dds (char const *Data, std::size_t Size)
bool | operator!= (image const &ImageA, image const &ImageB)
bool | operator!= (gli::texture1D const &A, gli::texture1D const &B)
bool | operator!= (gli::texture1DArray const &A, gli::texture1DArray const &B)
bool | operator!= (gli::texture2D const &A, gli::texture2D const &B)
bool | operator!= (gli::texture2DArray const &A, gli::texture2DArray const &B)
bool | operator!= (gli::texture3D const &A, gli::texture3D const &B)
bool | operator!= (gli::textureCube const &A, gli::textureCube const &B)
bool | operator!= (gli::textureCubeArray const &A, gli::textureCubeArray const &B)
texture2D | operator+ (texture2D const &TextureA, texture2D const &TextureB)
texture2D | operator- (texture2D const &TextureA, texture2D const &TextureB)
bool | operator== (image const &ImageA, image const &ImageB)
bool | operator== (gli::texture1D const &A, gli::texture1D const &B)
bool | operator== (gli::texture1DArray const &A, gli::texture1DArray const &B)
bool | operator== (gli::texture2D const &A, gli::texture2D const &B)
bool | operator== (gli::texture2DArray const &A, gli::texture2DArray const &B)
bool | operator== (gli::texture3D const &A, gli::texture3D const &B)
bool | operator== (gli::textureCube const &A, gli::textureCube const &B)
bool | operator== (gli::textureCubeArray const &A, gli::textureCubeArray const &B)
void | save_dds (storage const &Storage, char const *Filename)
void | save_dds (storage const &Storage, std::string const &Filename)
void | save_dds (storage const &Storage, char const *Data, std::size_t Size)
template<typename genType >
genType | texelFetch (texture2D const &Texture, texture2D::dim_type const &Texcoord, texture2D::size_type const &Level)
template<typename genType >
void | texelWrite (texture2D &Texture, texture2D::dim_type const &Texcoord, texture2D::size_type const &Level, genType const &Color)
template<typename genType >
genType | textureLod (texture2D const &Texture, texture2D::texcoord_type const &Texcoord, texture2D::size_type const &Level)
image | view (image const &Image)
template<typename texture >
texture | view (texture const &Texture)
texture1D | view (texture1D const &Texture, texture1D::size_type const &BaseLevel, texture1D::size_type const &MaxLevel)
texture2D | view (texture2D const &Texture, texture2D::size_type const &BaseLevel, texture2D::size_type const &MaxLevel)
texture3D | view (texture3D const &Texture, texture3D::size_type const &BaseLevel, texture3D::size_type const &MaxLevel)
template<typename texture >
texture | view (texture const &Texture, typename texture::size_type const &BaseLayer, typename texture::size_type const &MaxLayer, typename texture::size_type const &BaseLevel, typename texture::size_type const &MaxLevel)
textureCube | view (textureCube const &Texture, textureCube::size_type const &BaseFace, textureCube::size_type const &MaxFace, textureCube::size_type const &BaseLevel, textureCube::size_type const &MaxLevel)
textureCubeArray | view (textureCubeArray const &Texture, textureCubeArray::size_type const &BaseLayer, textureCubeArray::size_type const &MaxLayer, textureCubeArray::size_type const &BaseFace, textureCubeArray::size_type const &MaxFace, textureCubeArray::size_type const &BaseLevel, textureCubeArray::size_type const &MaxLevel)

## Typedef Documentation

typedef glm::tvec1<size_t> dim1_t

Definition at line 47 of file type.hpp.

typedef glm::tvec2<size_t> dim2_t

Definition at line 48 of file type.hpp.

typedef glm::tvec3<size_t> dim3_t

Definition at line 49 of file type.hpp.

typedef glm::tvec4<size_t> dim4_t

Definition at line 50 of file type.hpp.

typedef std::size_t face_t

Definition at line 58 of file type.hpp.

typedef std::size_t layer_t

Definition at line 56 of file type.hpp.

typedef std::size_t level_t

Definition at line 57 of file type.hpp.

typedef glm::tvec4<int> swizzle_t

Definition at line 60 of file type.hpp.

typedef glm::vec1 texcoord1_t

Definition at line 51 of file type.hpp.

typedef glm::vec2 texcoord2_t

Definition at line 52 of file type.hpp.

typedef glm::vec3 texcoord3_t

Definition at line 53 of file type.hpp.

typedef glm::vec4 texcoord4_t

Definition at line 54 of file type.hpp.

## Enumeration Type Documentation

anonymous enum

Enumerator
FORMAT_INVALID |
FORMAT_COUNT |
FORMAT_COMPRESSED_COUNT |

Definition at line 211 of file format.hpp.

enum format

Enumerator
FORMAT_R8_UNORM |
FORMAT_FIRST |
FORMAT_RG8_UNORM |
FORMAT_RGB8_UNORM |
FORMAT_RGBA8_UNORM |
FORMAT_R16_UNORM |
FORMAT_RG16_UNORM |
FORMAT_RGB16_UNORM |
FORMAT_RGBA16_UNORM |
FORMAT_R8_SNORM |
FORMAT_RG8_SNORM |
FORMAT_RGB8_SNORM |
FORMAT_RGBA8_SNORM |
FORMAT_R16_SNORM |
FORMAT_RG16_SNORM |
FORMAT_RGB16_SNORM |
FORMAT_RGBA16_SNORM |
FORMAT_R8_UINT |
FORMAT_RG8_UINT |
FORMAT_RGB8_UINT |
FORMAT_RGBA8_UINT |
FORMAT_R16_UINT |
FORMAT_RG16_UINT |
FORMAT_RGB16_UINT |
FORMAT_RGBA16_UINT |
FORMAT_R32_UINT |
FORMAT_RG32_UINT |
FORMAT_RGB32_UINT |
FORMAT_RGBA32_UINT |
FORMAT_R8_SINT |
FORMAT_RG8_SINT |
FORMAT_RGB8_SINT |
FORMAT_RGBA8_SINT |
FORMAT_R16_SINT |
FORMAT_RG16_SINT |
FORMAT_RGB16_SINT |
FORMAT_RGBA16_SINT |
FORMAT_R32_SINT |
FORMAT_RG32_SINT |
FORMAT_RGB32_SINT |
FORMAT_RGBA32_SINT |
FORMAT_R16_SFLOAT |
FORMAT_RG16_SFLOAT |
FORMAT_RGB16_SFLOAT |
FORMAT_RGBA16_SFLOAT |
FORMAT_R32_SFLOAT |
FORMAT_RG32_SFLOAT |
FORMAT_RGB32_SFLOAT |
FORMAT_RGBA32_SFLOAT |
FORMAT_R8_SRGB |
FORMAT_RG8_SRGB |
FORMAT_RGB8_SRGB |
FORMAT_RGBA8_SRGB |
FORMAT_RGB10A2_UNORM |
FORMAT_RGB10A2_UINT |
FORMAT_RGB9E5_UFLOAT |
FORMAT_RG11B10_UFLOAT |
FORMAT_RG3B2_UNORM |
FORMAT_R5G6B5_UNORM |
FORMAT_RGB5A1_UNORM |
FORMAT_RGBA4_UNORM |
FORMAT_BGR8_UNORM |
FORMAT_BGRA8_UNORM |
FORMAT_BGR8_SRGB |
FORMAT_BGRA8_SRGB |
FORMAT_L8_UNORM |
FORMAT_A8_UNORM |
FORMAT_LA8_UNORM |
FORMAT_L16_UNORM |
FORMAT_A16_UNORM |
FORMAT_LA16_UNORM |
FORMAT_D16_UNORM |
FORMAT_D24_UNORM |
FORMAT_D24S8_UNORM |
FORMAT_D32_UFLOAT |
FORMAT_D32_UFLOAT_S8_UNORM |
FORMAT_RGB_DXT1_UNORM |
FORMAT_COMPRESSED_FIRST |
FORMAT_RGBA_DXT1_UNORM |
FORMAT_RGBA_DXT3_UNORM |
FORMAT_RGBA_DXT5_UNORM |
FORMAT_R_ATI1N_UNORM |
FORMAT_R_ATI1N_SNORM |
FORMAT_RG_ATI2N_UNORM |
FORMAT_RG_ATI2N_SNORM |
FORMAT_RGB_BP_UFLOAT |
FORMAT_RGB_BP_SFLOAT |
FORMAT_RGB_BP_UNORM |
FORMAT_RGB_PVRTC_8X8_UNORM |
FORMAT_RGB_PVRTC_16X8_UNORM |
FORMAT_RGBA_PVRTC_8X8_UNORM |
FORMAT_RGBA_PVRTC_16X8_UNORM |
FORMAT_RGBA_PVRTC2_8X8_UNORM |
FORMAT_RGBA_PVRTC2_16X8_UNORM |
FORMAT_RGB_ATC_UNORM |
FORMAT_RGBA_ATC_EXPLICIT_UNORM |
FORMAT_RGBA_ATC_INTERPOLATED_UNORM |
FORMAT_RGB_ETC_UNORM |
FORMAT_RGBA_ETC2_PUNCHTHROUGH_UNORM |
FORMAT_RGBA_ETC2_UNORM |
FORMAT_R11_EAC_UNORM |
FORMAT_R11_EAC_SNORM |
FORMAT_RG11_EAC_UNORM |
FORMAT_RG11_EAC_SNORM |
FORMAT_RGBA_ASTC_4X4_UNORM |
FORMAT_RGBA_ASTC_5X4_UNORM |
FORMAT_RGBA_ASTC_5X5_UNORM |
FORMAT_RGBA_ASTC_6X5_UNORM |
FORMAT_RGBA_ASTC_6X6_UNORM |
FORMAT_RGBA_ASTC_8X5_UNORM |
FORMAT_RGBA_ASTC_8X6_UNORM |
FORMAT_RGBA_ASTC_8X8_UNORM |
FORMAT_RGBA_ASTC_10X5_UNORM |
FORMAT_RGBA_ASTC_10X6_UNORM |
FORMAT_RGBA_ASTC_10X8_UNORM |
FORMAT_RGBA_ASTC_10X10_UNORM |
FORMAT_RGBA_ASTC_12X10_UNORM |
FORMAT_RGBA_ASTC_12X12_UNORM |
FORMAT_RGB_DXT1_SRGB |
FORMAT_RGBA_DXT1_SRGB |
FORMAT_RGBA_DXT3_SRGB |
FORMAT_RGBA_DXT5_SRGB |
FORMAT_RGB_BP_SRGB |
FORMAT_RGB_PVRTC_8X8_SRGB |
FORMAT_RGB_PVRTC_16X8_SRGB |
FORMAT_RGBA_PVRTC_8X8_SRGB |
FORMAT_RGBA_PVRTC_16X8_SRGB |
FORMAT_RGBA_PVRTC2_8X8_SRGB |
FORMAT_RGBA_PVRTC2_16X8_SRGB |
FORMAT_RGB_ETC_SRGB |
FORMAT_RGBA_ETC2_PUNCHTHROUGH_SRGB |
FORMAT_RGBA_ETC2_SRGB |
FORMAT_RGBA_ASTC_4X4_SRGB |
FORMAT_RGBA_ASTC_5X4_SRGB |
FORMAT_RGBA_ASTC_5X5_SRGB |
FORMAT_RGBA_ASTC_6X5_SRGB |
FORMAT_RGBA_ASTC_6X6_SRGB |
FORMAT_RGBA_ASTC_8X5_SRGB |
FORMAT_RGBA_ASTC_8X6_SRGB |
FORMAT_RGBA_ASTC_8X8_SRGB |
FORMAT_RGBA_ASTC_10X5_SRGB |
FORMAT_RGBA_ASTC_10X6_SRGB |
FORMAT_RGBA_ASTC_10X8_SRGB |
FORMAT_RGBA_ASTC_10X10_SRGB |
FORMAT_RGBA_ASTC_12X10_SRGB |
FORMAT_RGBA_ASTC_12X12_SRGB |
FORMAT_COMPRESSED_LAST |
FORMAT_LAST |

Definition at line 33 of file format.hpp.

## Function Documentation

std::uint32_t gli::block_dimensions_x | ( | format const & | Format | ) |

std::uint32_t gli::block_dimensions_y | ( | format const & | Format | ) |

std::uint32_t gli::block_dimensions_z | ( | format const & | Format | ) |

std::uint32_t gli::block_size | ( | format const & | Format | ) |

void gli::clear | ( | image & | Image,
|  | genType const & | Texel
| ) |  |

void gli::clear | ( | texture2D & | Texture,
|  | genType const & | Texel
| ) |  |

std::uint32_t gli::component_count | ( | format const & | Format | ) |

image gli::copy | ( | image const & | Image | ) |

texture gli::copy | ( | texture const & | Texture | ) |

texture2D gli::copy | ( | texture2D const & | Texture,
|  | texture2D::format_type | Format
| ) |  |

texture1D gli::copy | ( | texture1D const & | Texture,
|  | texture1D::size_type const & | BaseLevel,
|  | texture1D::size_type const & | MaxLevel
| ) |  |

texture2D gli::copy | ( | texture2D const & | Texture,
|  | texture2D::size_type const & | BaseLevel,
|  | texture2D::size_type const & | MaxLevel
| ) |  |

texture3D gli::copy | ( | texture3D const & | Texture,
|  | texture3D::size_type const & | BaseLevel,
|  | texture3D::size_type const & | MaxLevel
| ) |  |

texture gli::copy | ( | texture const & | Texture,
|  | typename texture::size_type const & | BaseLayer,
|  | typename texture::size_type const & | MaxLayer,
|  | typename texture::size_type const & | BaseLevel,
|  | typename texture::size_type const & | MaxLevel
| ) |  |

textureCube gli::copy | ( | textureCube const & | Texture,
|  | textureCube::size_type const & | BaseFace,
|  | textureCube::size_type const & | MaxFace,
|  | textureCube::size_type const & | BaseLevel,
|  | textureCube::size_type const & | MaxLevel
| ) |  |

textureCubeArray gli::copy | ( | textureCubeArray const & | Texture,
|  | textureCubeArray::size_type const & | BaseLayer,
|  | textureCubeArray::size_type const & | MaxLayer,
|  | textureCubeArray::size_type const & | BaseFace,
|  | textureCubeArray::size_type const & | MaxFace,
|  | textureCubeArray::size_type const & | BaseLevel,
|  | textureCubeArray::size_type const & | MaxLevel
| ) |  |

texture gli::flip | ( | texture const & | Texture | ) |

texture gli::generate_mipmaps | ( | texture & | Texture | ) |

bool gli::is_compressed | ( | format const & | Format | ) |

Definition at line 218 of file format.hpp.

References FORMAT_COMPRESSED_FIRST, and FORMAT_COMPRESSED_LAST.

bool gli::is_valid | ( | format const & | Format | ) |

Definition at line 223 of file format.hpp.

References FORMAT_FIRST, and FORMAT_LAST.

size_t gli::levels | ( | dimType< size_t, glm::defaultp > const & | Dimensions | ) |

Compute the number of mipmaps levels necessary to create a mipmap complete texture.

Parameters

  Dimensions | Dimensions of the texture base level mipmap

Template Parameters

  dimType | Vector type used to express the dimentions of a texture of any kind. #include <gli/gli.hpp> #include <gli/levels.hpp> ... gli::size2_t Dimensions(32, 10); gli::texture2D Texture(gli::levels(Dimensions));

size_t gli::levels | ( | size_t | Dimension | ) |

Compute the number of mipmaps levels necessary to create a mipmap complete texture.

Parameters

  Dimensions | Dimensions of the texture base level mipmap

Template Parameters

  dimType | Vector type used to express the dimentions of a texture of any kind. #include <gli/gli.hpp> #include <gli/levels.hpp> ... gli::texture2D Texture(32);

storage gli::load_dds | ( | char const * | Filename | ) |

storage gli::load_dds | ( | std::string const & | Filename | ) |

storage gli::load_dds | ( | char const * | Data,
|  | std::size_t | Size
| ) |  |

bool gli::operator!= | ( | image const & | ImageA,
|  | image const & | ImageB
| ) |  |

bool gli::operator!= | ( | gli::texture1D const & | A,
|  | gli::texture1D const & | B
| ) |  |

bool gli::operator!= | ( | gli::texture1DArray const & | A,
|  | gli::texture1DArray const & | B
| ) |  |

bool gli::operator!= | ( | gli::texture2D const & | A,
|  | gli::texture2D const & | B
| ) |  |

bool gli::operator!= | ( | gli::texture2DArray const & | A,
|  | gli::texture2DArray const & | B
| ) |  |

bool gli::operator!= | ( | gli::texture3D const & | A,
|  | gli::texture3D const & | B
| ) |  |

bool gli::operator!= | ( | gli::textureCube const & | A,
|  | gli::textureCube const & | B
| ) |  |

bool gli::operator!= | ( | gli::textureCubeArray const & | A,
|  | gli::textureCubeArray const & | B
| ) |  |

texture2D gli::operator+ | ( | texture2D const & | TextureA,
|  | texture2D const & | TextureB
| ) |  |

texture2D gli::operator- | ( | texture2D const & | TextureA,
|  | texture2D const & | TextureB
| ) |  |

bool gli::operator== | ( | image const & | ImageA,
|  | image const & | ImageB
| ) |  |

bool gli::operator== | ( | gli::texture1D const & | A,
|  | gli::texture1D const & | B
| ) |  |

bool gli::operator== | ( | gli::texture1DArray const & | A,
|  | gli::texture1DArray const & | B
| ) |  |

bool gli::operator== | ( | gli::texture2D const & | A,
|  | gli::texture2D const & | B
| ) |  |

bool gli::operator== | ( | gli::texture2DArray const & | A,
|  | gli::texture2DArray const & | B
| ) |  |

bool gli::operator== | ( | gli::texture3D const & | A,
|  | gli::texture3D const & | B
| ) |  |

bool gli::operator== | ( | gli::textureCube const & | A,
|  | gli::textureCube const & | B
| ) |  |

bool gli::operator== | ( | gli::textureCubeArray const & | A,
|  | gli::textureCubeArray const & | B
| ) |  |

void gli::save_dds | ( | storage const & | Storage,
|  | char const * | Filename
| ) |  |

Save a texture storage to file.

void gli::save_dds | ( | storage const & | Storage,
|  | std::string const & | Filename
| ) |  |

Save a texture storage to file.

void gli::save_dds | ( | storage const & | Storage,
|  | char const * | Data,
|  | std::size_t | Size
| ) |  |

genType gli::texelFetch | ( | texture2D const & | Texture,
|  | texture2D::dim_type const & | Texcoord,
|  | texture2D::size_type const & | Level
| ) |  |

void gli::texelWrite | ( | texture2D & | Texture,
|  | texture2D::dim_type const & | Texcoord,
|  | texture2D::size_type const & | Level,
|  | genType const & | Color
| ) |  |

genType gli::textureLod | ( | texture2D const & | Texture,
|  | texture2D::texcoord_type const & | Texcoord,
|  | texture2D::size_type const & | Level
| ) |  |

image gli::view | ( | image const & | Image | ) |

texture gli::view | ( | texture const & | Texture | ) |

texture1D gli::view | ( | texture1D const & | Texture,
|  | texture1D::size_type const & | BaseLevel,
|  | texture1D::size_type const & | MaxLevel
| ) |  |

texture2D gli::view | ( | texture2D const & | Texture,
|  | texture2D::size_type const & | BaseLevel,
|  | texture2D::size_type const & | MaxLevel
| ) |  |

texture3D gli::view | ( | texture3D const & | Texture,
|  | texture3D::size_type const & | BaseLevel,
|  | texture3D::size_type const & | MaxLevel
| ) |  |

texture gli::view | ( | texture const & | Texture,
|  | typename texture::size_type const & | BaseLayer,
|  | typename texture::size_type const & | MaxLayer,
|  | typename texture::size_type const & | BaseLevel,
|  | typename texture::size_type const & | MaxLevel
| ) |  |

textureCube gli::view | ( | textureCube const & | Texture,
|  | textureCube::size_type const & | BaseFace,
|  | textureCube::size_type const & | MaxFace,
|  | textureCube::size_type const & | BaseLevel,
|  | textureCube::size_type const & | MaxLevel
| ) |  |

textureCubeArray gli::view | ( | textureCubeArray const & | Texture,
|  | textureCubeArray::size_type const & | BaseLayer,
|  | textureCubeArray::size_type const & | MaxLayer,
|  | textureCubeArray::size_type const & | BaseFace,
|  | textureCubeArray::size_type const & | MaxFace,
|  | textureCubeArray::size_type const & | BaseLevel,
|  | textureCubeArray::size_type const & | MaxLevel
| ) |  |